<?php
include_once('evento/class.evento.php');
$evento = new Evento();
extract($_GET);
?>
<script>
	$(document).ready(function(e) {
		$( "#tabs_novo" ).tabs({});
		
		$('#btnSalvarNovoEvento').live('click',function(){
			if($('#stTipoEvento').val() == '-1'){
				show('Selecione um evento para prosseguir');
				return false;	
			}
			
			if($('#edtNome').val() == ''){
				show('Informe um nome para continuar');
				return false;	
			}
			
			if($('#edtHora').val() == ''){
				show('Informe a hora do evento para continuar');
				return false;	
			}
			
			if($('#edtTelefone').val() == ''){
				show('Informe um telefone para continuar');
				return false;	
			}
			
			var furmulario = $('#formNovoEvento').serialize();
			var criador = $('#boxLogin').html();
			
		 $.ajax({
			 type: "POST",
			 url: "evento/ax.evento.php",
			 data: furmulario + '&ax=NovorEvento&criador=' +  criador, 
			 beforeSend: function(){$("#pnRetornoNevento").html('<img src="img/salvando.gif"/>').fadeIn('slow');},
			 success: function(R){ $("#pnRetornoNevento").html('Salvo com sucesso.').fadeIn('slow');
			 						$("#pnRetornoNevento").addClass('ui-state-highlight ui-corner-all');
									location='?p=evento/principal&id_evento='+R;
								 } ,
			 error: function(R){ $("#pnRetornoNevento").html('Falha ao salvar verifique, ou tente novamente!').fadeIn('slow');
								  $("#pnRetornoNevento").addClass('ui-state-error ui-corner-all');
								  }
		  }) //fim ajax			
			
			
		return false;
		})
		
	})
</script>
<!--<script>(function($){ $(function(){$('input:text').setMask();}); })(jQuery);</script>
-->
<form id="formNovoEvento">

<div id="tabs_novo" style="font-size:12px; padding:20px 0 30px 50px">
 		<div align="center"><h3 class="dados">Novo Evento</h3></div>
<div class="pnDesc descricao">Data do Evento</div>
        <div class="pnDados">
          <input name="edtDataEvento" type="text" class="obr" id="edtDataEvento" value="<?php echo $d.'/'.$m.'/'.$a; ?>" readonly>
        </div>
        
         <div class="pnCan"></div>
         <div class="pnDesc descricao">Tipo de Evento</div>

		<span style="display:none"><select></select></span>

<select name="stTipoEvento" id="stTipoEvento" class="obr select" style="width:300px">
        <option value="-1">Selecione o Tipo do Evento</option>
         <?php $evento->TipoEvento();?>
       </select>
       <div class="pnCan"></div>
         <div class="pnDesc descricao">Nome</div>
        <div class="pnDados">
         <input name="edtNome" type="text" class="obr" id="edtNome" size="50">
    	</div>  
        
      <div class="pnCan"></div>
         <div class="pnDesc descricao">Hora</div>
<div class="pnDados">
         <input type="text" class="obr time" name="edtHora" id="edtHora">
        </div>  
        
        <div class="pnCan"></div>
         <div class="pnDesc descricao">Telefone</div>
<div class="pnDados">
         <input type="text" class="obr phone" name="edtTelefone" id="edtTelefone">
    	<span class="spLoad"></span>
</div>  
        
        
        <div class="pnCan"></div>
        <div class="pnDados"><span class="spLoad"></span>
    	</div>  
        
<div class="pnCan"></div>
<div class="pnDados" style="margin-top:20px;" align="center">
  <button class="button white" id="btnSalvarNovoEvento">Salvar</button>
  <div id="pnRetornoNevento"></div>
         
    	</div>

</div></form>